| QxOrm 1.4.2 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
qx::dao::detail::QxDaoAsyncParams Struct Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::QxDaoAsyncParams : all parameters for qx::QxDaoAsync class to execute queries More...

`#include <QxDaoAsync.h>`

List of all members.

## Public Types
enum | dao_action { dao_none, dao_count, dao_fetch_by_id, dao_fetch_all, dao_fetch_by_query, dao_insert, dao_update, dao_save, dao_delete_by_id, dao_delete_all, dao_delete_by_query, dao_destroy_by_id, dao_destroy_all, dao_destroy_by_query, dao_execute_query, dao_call_query }
## Public Member Functions
| QxDaoAsyncParams ()
| ~QxDaoAsyncParams ()
## Public Attributes
dao_action | daoAction
| Action to execute into the thread (asynchronous way)
QString | className
| Classname parameter to execute action (must implement qx::IxPersistable interface)
qx::QxSqlQuery | query
| Query parameter to execute action.
QSqlDatabase * | pDatabase
| Database parameter to execute action.
IxPersistable_ptr | pInstance
| Current instance parameter to execute action.
IxCollection_ptr | pListOfInstances
| List of instances fetched by query.
QStringList | listColumns
| List of columns parameter to execute action.
QStringList | listRelations
| List of relationships parameter to execute action.
QVariant | id
| Current instance id parameter to execute action.
long | daoCount
| Dao count value returned by qx::dao::count query.

## Detailed Description

qx::dao::detail::QxDaoAsyncParams : all parameters for qx::QxDaoAsync class to execute queries

Definition at line 69 of file QxDaoAsync.h.

## Member Enumeration Documentation

enum qx::dao::detail::QxDaoAsyncParams::dao_action

Enumerator:

  dao_none |
  dao_count |
  dao_fetch_by_id |
  dao_fetch_all |
  dao_fetch_by_query |
  dao_insert |
  dao_update |
  dao_save |
  dao_delete_by_id |
  dao_delete_all |
  dao_delete_by_query |
  dao_destroy_by_id |
  dao_destroy_all |
  dao_destroy_by_query |
  dao_execute_query |
  dao_call_query |

Definition at line 72 of file QxDaoAsync.h.

## Constructor & Destructor Documentation

qx::dao::detail::QxDaoAsyncParams::QxDaoAsyncParams | ( |  | ) | `[inline]`

Definition at line 87 of file QxDaoAsync.h.

qx::dao::detail::QxDaoAsyncParams::~QxDaoAsyncParams | ( |  | ) | `[inline]`

Definition at line 88 of file QxDaoAsync.h.

## Member Data Documentation

QString qx::dao::detail::QxDaoAsyncParams::className

Classname parameter to execute action (must implement qx::IxPersistable interface)

Definition at line 77 of file QxDaoAsync.h.

dao_action qx::dao::detail::QxDaoAsyncParams::daoAction

Action to execute into the thread (asynchronous way)

Definition at line 76 of file QxDaoAsync.h.

long qx::dao::detail::QxDaoAsyncParams::daoCount

Dao count value returned by qx::dao::count query.

Definition at line 85 of file QxDaoAsync.h.

QVariant qx::dao::detail::QxDaoAsyncParams::id

Current instance id parameter to execute action.

Definition at line 84 of file QxDaoAsync.h.

QStringList qx::dao::detail::QxDaoAsyncParams::listColumns

List of columns parameter to execute action.

Definition at line 82 of file QxDaoAsync.h.

QStringList qx::dao::detail::QxDaoAsyncParams::listRelations

List of relationships parameter to execute action.

Definition at line 83 of file QxDaoAsync.h.

QSqlDatabase* qx::dao::detail::QxDaoAsyncParams::pDatabase

Database parameter to execute action.

Definition at line 79 of file QxDaoAsync.h.

IxPersistable_ptr qx::dao::detail::QxDaoAsyncParams::pInstance

Current instance parameter to execute action.

Definition at line 80 of file QxDaoAsync.h.

IxCollection_ptr qx::dao::detail::QxDaoAsyncParams::pListOfInstances

List of instances fetched by query.

Definition at line 81 of file QxDaoAsync.h.

qx::QxSqlQuery qx::dao::detail::QxDaoAsyncParams::query

Query parameter to execute action.

Definition at line 78 of file QxDaoAsync.h.

The documentation for this struct was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxDaoAsync.h